## List DLS regions for an account `client.dls.regions.list(RegionListParamsparams, RequestOptionsoptions?): CursorPagination` **get** `/accounts/{account_id}/dls/regions` List DLS regions for an account ### Parameters - `params: RegionListParams` - `account_id: number` Path param - `cursor?: string` Query param: Opaque token for cursor-based pagination. Omit for the first page. Pass the value from a previous response to fetch the next page. - `per_page?: number` Query param - `type?: "managed" | "custom"` Query param: Filter regions by type. Omit to return all regions. - `"managed"` - `"custom"` ### Returns - `RegionListResponse` - `id: string` - `created_on: string` - `modified_on: string` - `name: string` - `region_key: string` - `version: number` - `version_created_on: string` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const regionListResponse of client.dls.regions.list({ account_id: 0 })) { console.log(regionListResponse.id); } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": [ { "id": "id", "created_on": "2019-12-27T18:11:19.117Z", "modified_on": "2019-12-27T18:11:19.117Z", "name": "name", "region_key": "x", "version": 0, "version_created_on": "2019-12-27T18:11:19.117Z" } ], "result_info": { "count": 0, "cursor": "cursor", "per_page": 0 }, "success": true } ```